tzdata: update bbappend for 2013i
[opendreambox.git] / meta-opendreambox / recipes-devtools / opkg / opkg / 0014-opkg-key-don-t-install-unless-compiled-with-GPG-supp.patch
1 From f87279fa462f11eac1a11dea5f3ccaaa7d8d66c9 Mon Sep 17 00:00:00 2001
2 From: Andreas Oberritter <obi@opendreambox.org>
3 Date: Wed, 10 Jul 2013 16:32:50 +0200
4 Subject: [PATCH 14/19] opkg-key: don't install unless compiled with GPG
5  support
6 To: opkg-devel@googlegroups.com
7 Cc: paul@paulbarker.me.uk
8
9 Signed-off-by: Andreas Oberritter <obi@opendreambox.org>
10 ---
11  configure.ac      | 1 +
12  man/Makefile.am   | 7 +++++--
13  utils/Makefile.am | 6 +++++-
14  3 files changed, 11 insertions(+), 3 deletions(-)
15
16 diff --git a/configure.ac b/configure.ac
17 index a707d01..3cb6b86 100644
18 --- a/configure.ac
19 +++ b/configure.ac
20 @@ -169,6 +169,7 @@ if test "x$want_gpgme" = "xyes"; then
21      AC_MSG_ERROR(GPGME $min_gpgme_version or later needed)
22    fi
23  fi
24 +AM_CONDITIONAL(HAVE_GPGME, test "x$want_gpgme" = "xyes")
25  
26  AC_SUBST(GPGME_CFLAGS)
27  AC_SUBST(GPGME_LIBS)
28 diff --git a/man/Makefile.am b/man/Makefile.am
29 index 6d0a535..2fbf769 100644
30 --- a/man/Makefile.am
31 +++ b/man/Makefile.am
32 @@ -1,2 +1,5 @@
33 -man_MANS=opkg-cl.1 \
34 -  opkg-key.1
35 +man_MANS = opkg-cl.1
36 +
37 +if HAVE_GPGME
38 +man_MANS += opkg-key.1
39 +endif
40 diff --git a/utils/Makefile.am b/utils/Makefile.am
41 index acac628..23f97ca 100644
42 --- a/utils/Makefile.am
43 +++ b/utils/Makefile.am
44 @@ -1,3 +1,7 @@
45 -bin_SCRIPTS = update-alternatives opkg-key
46 +bin_SCRIPTS = update-alternatives
47 +
48 +if HAVE_GPGME
49 +bin_SCRIPTS += opkg-key
50 +endif
51  
52  EXTRA_DIST = $(bin_SCRIPTS)
53 -- 
54 1.9.1
55